Name:           rednotebook
Version:        1.12
Release:        2%{?dist}
Summary:        Daily journal with calendar, templates and keyword searching

License:        GPLv2+
URL:            http://rednotebook.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils

Requires:       PyYAML
Requires:       pygtk2
Requires:       pywebkitgtk
Requires:       python-chardet
Requires:       gnome-python2-extras
Requires:       hicolor-icon-theme

%description
RedNotebook is a modern desktop journal. It lets you format, tag and
search your entries. You can also add pictures, links and customizable
templates, spell check your notes, and export to plain text, HTML,
Latex or PDF.

%prep
%setup -q

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
desktop-file-install                                    \
    --add-category="Calendar"                           \
    --delete-original                                   \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}/%{_datadir}/applications/%{name}.desktop

# heavily borrowed from /usr/lib/rpm/find-lang.sh
#find %{buildroot} -type f -o -type l|sort|sed '
#s:'"%{buildroot}"'::
#s:\(.*/i18n/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:
#s:^\([^%].*\)::
#/^$/d' > %{name}.lang
%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS CHANGELOG LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/rednotebook.svg
# be careful to not list locales twice
%dir %{python_sitelib}/%{name}/
%{python2_sitelib}/%{name}/*.py*
%{python2_sitelib}/%{name}/external/
%{python2_sitelib}/%{name}/files/
%{python2_sitelib}/%{name}/gui/
%{python2_sitelib}/%{name}/images/
%{python2_sitelib}/%{name}/util/
%{python2_sitelib}/%{name}*.egg-info

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sat Apr 16 2016 Fabian Affolter <mail@fabian-affolter.ch> - 1.12-1
- Update to new upstream version 1.12

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 09 2016 Mike DePaulo <mikedep333@fedoraproject.org> - 1.11-1
- Update to new upstream version 1.11
- Update Summary to that of 0.7.0+
- Update Description to latest

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 17 2015 Fabian Affolter <mail@fabian-affolter.ch> - 1.9.0-1
- Update to new upstream version 1.9.0

* Fri Oct 17 2014 Christoph Wickert <cwickert@fedoraproject.org> - 1.8.1-1
- Update to 1.8.1

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 06 2014 Fabian Affolter <mail@fabian-affolter.ch> - 1.8.0-1
- Update to new upstream version 1.8.0

* Sat Nov 16 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.7.3-1
- Update to new upstream version 1.7.3

* Wed Jul 31 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.7.2-1
- Update to new upstream version 1.7.2

* Sat Jun 08 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.7.1-1
- Update to new upstream version 1.7.1

* Fri Mar 01 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.7.0-1
- Update to new upstream version 1.7.0

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 23 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.6.6-1
- Update to new upstream version 1.6.6

* Sun Jan 06 2013 Fabian Affolter <mail@fabian-affolter.ch> - 1.6.5-1
- Update to new upstream version 1.6.5

* Tue Dec 25 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.6.4-1
- Update to new upstream version 1.6.4

* Sat Dec 08 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.6.3-1
- Update to new upstream version 1.6.3

* Mon Nov 19 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.6.2-1
- Update to new upstream version 1.6.2

* Thu Nov 15 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.6.1-1
- Update to new upstream version 1.6.1

* Thu Nov 01 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.6.0-1
- Update to new upstream version 1.6.0

* Tue Aug 28 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.5.0-2
- Fix Requires

* Mon Aug 13 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.5.0-1
- Update to new upstream version 1.5.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.4.0-1
- Update to new upstream version 1.4.0

* Fri Feb 10 2012 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.0-1
- Update to new upstream version 1.3.0

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 08 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.2.0-2
- Spec file synced with master branch

* Thu Oct 06 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.0-1
- Update to 1.2.0

* Tue Aug 09 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.8-1
- Update to new upstream version 1.1.8
- List locales correctly tagged as %%lang

* Fri Jul 15 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.7-1
- Update to new upstream version 1.1.7

* Mon May 16 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.5-1
- Update to new upstream version 1.1.5

* Sun Mar 27 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.4-1
- Update to 1.1.4

* Sun Mar 06 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.3-1
- Update to new upstream version 1.1.3

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 27 2010 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.2-1
- Update to new upstream version 1.1.2

* Sun Aug 29 2010 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.1-1
- Update to new upstream version 1.1.1

* Sat Aug 14 2010 Fabian Affolter <mail@fabian-affolter.ch> - 1.1.0-1
- Update to new upstream version 1.1.0

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sat Jun 26 2010 Fabian Affolter <mail@fabian-affolter.ch> - 1.0.0-1
- Update to new upstream version 1.0.0

* Tue May 11 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.5-2
- Require python-chardet

* Tue May 11 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.5-1
- Update to 0.9.5

* Wed Feb 24 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.3-1
- Update to 0.9.3

* Mon Feb 01 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.2-1
- Update to 0.9.2

* Sun Jan 10 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1
- Require pywebkitgtk for new print preview
- Use desktop-file-install

* Fri Dec 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.0-1
- Update to 0.9.0

* Thu Nov 19 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.9-2
- Update the URL after a request from the upstream maintainer

* Wed Nov 18 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.9-1
- Update to new upstream version 0.8.9

* Mon Nov 16 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.8-1
- Update to new upstream version 0.8.8

* Tue Sep 29 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.7-1
- Update to new upstream version 0.8.7

* Thu Sep 17 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.6.1-1
- Update to 0.8.6.1, fixes #523880

* Thu Sep 17 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.6-2
- Fix libglade error with GTK 2.16.6 (#523880)

* Fri Sep 04 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.6-1
- Updated to new upstream version 0.8.6

* Fri Aug 14 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.5-1
- Update to new upstream version 0.8.5 (fixes #518778)

* Fri Aug 14 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.4-1
- Update to new upstream version 0.8.4

* Fri Aug 07 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.3-1
- Updated to new upstream version 0.8.3

* Wed Jul 29 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.2-1
- Update to new upstream version 0.8.2

* Sat Jul 25 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.8.1-1
- Update to new upstream version 0.8.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.0-1
- Update BR python
- Icon cache update added
- Update to new upstream version 0.8.0

* Wed Jul 15 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.6-1
- Update to new upstream version 0.7.6

* Mon Jul 06 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.5-1
- Remove the shebang stuff, upstream changed this
- Update to new upstream version 0.7.5

* Mon Jun 29 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.4-1
- Move the removing of the shebang to prep section
- Update to new upstream version 0.7.4

* Tue May 26 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.2-1
- Update to new upstream version 0.7.2

* Wed May 06 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.7.1-1
- Update to new upstream version 0.7.1

* Wed May 06 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.9-1
- Update to new upstream version 0.6.9

* Sun May 03 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.8-1
- Update to new upstream version 0.6.8

* Tue Apr 21 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.7-1
- Update to new upstream version 0.6.7

* Tue Apr 07 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.6-1
- Update to new upstream version 0.6.6

* Fri Apr 03 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.6.5-1
- Update to new upstream version 0.6.5

* Wed Mar 18 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.2-1
- Add hicolor-icon-theme as a requirement
- Add icons directory
- Update to new upstream version 0.6.2

* Sat Mar 07 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.6.1-1
- Update to new upstream version 0.6.1
- Rename docs, add License file

* Thu Feb 12 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.5-1
- Update to new upstream version 0.5.5

* Sat Jan 24 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.2-1
- Update to new upstream version 0.5.2

* Sat Jan 24 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.5.1-1
- Initial package for Fedora
